GNU bug report logs - #21585
'global options already processed' error

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: automake; Reported by: Mark Galassi <mark@HIDDEN>; Keywords: moreinfo; merged with #26147; dated Tue, 29 Sep 2015 17:56:01 UTC; Maintainer for automake is bug-automake@HIDDEN.
Merged 21585 26147. Request was from Mathieu Lirzin <mthl@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 21585 <at> debbugs.gnu.org:


Received: (at 21585) by debbugs.gnu.org; 16 Jul 2017 10:53:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 16 06:53:38 2017
Received: from localhost ([127.0.0.1]:41014 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dWhB7-0000iW-Rm
	for submit <at> debbugs.gnu.org; Sun, 16 Jul 2017 06:53:38 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55314)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mthl@HIDDEN>) id 1dWhB6-0000iI-HQ
 for 21585 <at> debbugs.gnu.org; Sun, 16 Jul 2017 06:53:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mthl@HIDDEN>) id 1dWhAy-0005JC-9a
 for 21585 <at> debbugs.gnu.org; Sun, 16 Jul 2017 06:53:27 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:44311)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <mthl@HIDDEN>)
 id 1dWhAy-0005J6-5v; Sun, 16 Jul 2017 06:53:24 -0400
Received: from arennes-653-1-267-199.w109-218.abo.wanadoo.fr
 ([109.218.42.199]:47972 helo=pc10.home)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <mthl@HIDDEN>)
 id 1dWhAx-00047T-0i; Sun, 16 Jul 2017 06:53:23 -0400
From: Mathieu Lirzin <mthl@HIDDEN>
To: Mark Galassi <mark@HIDDEN>
Subject: Re: bug#21585: automake asked me to send you this
References: <87si5xruiq.fsf@HIDDEN>
Date: Sun, 16 Jul 2017 12:53:20 +0200
In-Reply-To: <87si5xruiq.fsf@HIDDEN> (Mark Galassi's message of "Tue, 29
 Sep 2015 11:43:25 -0600")
Message-ID: <87inisr6u7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 21585
Cc: 21585 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hello,

Mark Galassi <mark@HIDDEN> writes:

> autoreconf: running: automake --add-missing --copy --no-force
> automake: error: global options already processed
> automake: Please contact <bug-automake@HIDDEN>.
>  at /usr/share/automake-1.15/Automake/Channels.pm line 662
> 	Automake::Channels::msg('automake', '', 'global options already processed') called at /usr/share/automake-1.15/Automake/ChannelDefs.pm line 212
> 	Automake::ChannelDefs::prog_error('global options already processed') called at /usr/share/automake-1.15/Automake/Options.pm line 421
> 	Automake::Options::process_global_option_list('HASH(0x1986690)', 'HASH(0x19866f0)', 'HASH(0x19867c8)', 'HASH(0x1986828)', 'HASH(0x1986888)') called at /usr/bin/automake line 5337
> 	Automake::scan_autoconf_traces('configure.ac') called at /usr/bin/automake line 5437
> 	Automake::scan_autoconf_files() called at /usr/bin/automake line 8259
> autoreconf: automake failed with exit status: 29

Can you provide a minimal way to reproduce this bug?

This seems to be the same issue as reported in bug#26147 [1].  I am
merging the two bugs.

Thank you for the bug report.

-- 
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37

[1] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=26147




Information forwarded to bug-automake@HIDDEN:
bug#21585; Package automake. Full text available.
Changed bug title to ''global options already processed' error' from 'automake asked me to send you this' Request was from Mathieu Lirzin <mthl@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Sep 2015 17:55:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 29 13:55:41 2015
Received: from localhost ([127.0.0.1]:48129 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Zgz7s-00063q-Hp
	for submit <at> debbugs.gnu.org; Tue, 29 Sep 2015 13:55:41 -0400
Received: from eggs.gnu.org ([208.118.235.92]:42823)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <mark@HIDDEN>) id 1ZgywC-0005mZ-7w
 for submit <at> debbugs.gnu.org; Tue, 29 Sep 2015 13:43:36 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mark@HIDDEN>) id 1ZgywB-0006qA-5G
 for submit <at> debbugs.gnu.org; Tue, 29 Sep 2015 13:43:35 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:38539)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mark@HIDDEN>) id 1ZgywB-0006q1-2L
 for submit <at> debbugs.gnu.org; Tue, 29 Sep 2015 13:43:35 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:52802)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mark@HIDDEN>) id 1Zgyw9-0001sT-UZ
 for bug-automake@HIDDEN; Tue, 29 Sep 2015 13:43:34 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mark@HIDDEN>) id 1Zgyw4-0006lh-VO
 for bug-automake@HIDDEN; Tue, 29 Sep 2015 13:43:33 -0400
Received: from mail-io0-f169.google.com ([209.85.223.169]:35061)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mark@HIDDEN>) id 1Zgyw4-0006lM-Qo
 for bug-automake@HIDDEN; Tue, 29 Sep 2015 13:43:28 -0400
Received: by ioiz6 with SMTP id z6so19232292ioi.2
 for <bug-automake@HIDDEN>; Tue, 29 Sep 2015 10:43:27 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:user-agent
 :mime-version:content-type;
 bh=xBnKzQBPWBH43/STRy071CkrcIjjb2xxczLxBVPGodA=;
 b=Nstg6L6OI0Va0n3qI6OT2p05upWr54xw7yZN7OGPVCMw3C3GnQuy2606kQND7JQ6jw
 /diwcjz97qWI/RSECGqanLvZrlrypR8NZC+vyLsqexnfej2J8ejzpksUPSM9i0lFGn1W
 oRlipbdt9Ib3OJ2Y9zvAm7zfM/t8EbVQHEBSgT4s5kj9WhsGkQbru3sOai0HfZeQ+tuz
 ptoSdYiP1jcw+9fgtNFY/rMtw6OzRbpsFWA8c3vVk4r63jtbvaT0LMhtUmVEKqlg07Nb
 xeh+oWEd6PSzZhMqQzR0+OIrBjmf7bDxZz/tinvMs5zXq4CguzROtEpAojGF0dweQLpy
 xDpA==
X-Gm-Message-State: ALoCoQklK6pqH8pTA4GvWavG/1sLUUxygTFiv3Ukn/LidzIEwmzcPzpQUI3g9ivO6H7SuemiXi9A
X-Received: by 10.107.132.144 with SMTP id o16mr26743645ioi.31.1443548607493; 
 Tue, 29 Sep 2015 10:43:27 -0700 (PDT)
Received: from magicflute (75-161-52-134.albq.qwest.net. [75.161.52.134])
 by smtp.gmail.com with ESMTPSA id z27sm11630165ioi.36.2015.09.29.10.43.26
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 29 Sep 2015 10:43:26 -0700 (PDT)
From: Mark Galassi <mark@HIDDEN>
To: bug-automake@HIDDEN
Subject: automake asked me to send you this
Date: Tue, 29 Sep 2015 11:43:25 -0600
Message-ID: <87si5xruiq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 29 Sep 2015 13:55:38 -0400
Cc: Mark Galassi <mark@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

autoreconf: running: automake --add-missing --copy --no-force
automake: error: global options already processed
automake: Please contact <bug-automake@HIDDEN>.
 at /usr/share/automake-1.15/Automake/Channels.pm line 662
	Automake::Channels::msg('automake', '', 'global options already processed') called at /usr/share/automake-1.15/Automake/ChannelDefs.pm line 212
	Automake::ChannelDefs::prog_error('global options already processed') called at /usr/share/automake-1.15/Automake/Options.pm line 421
	Automake::Options::process_global_option_list('HASH(0x1986690)', 'HASH(0x19866f0)', 'HASH(0x19867c8)', 'HASH(0x1986828)', 'HASH(0x1986888)') called at /usr/bin/automake line 5337
	Automake::scan_autoconf_traces('configure.ac') called at /usr/bin/automake line 5437
	Automake::scan_autoconf_files() called at /usr/bin/automake line 8259
autoreconf: automake failed with exit status: 29




Acknowledgement sent to Mark Galassi <mark@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-automake@HIDDEN. Full text available.
Report forwarded to bug-automake@HIDDEN:
bug#21585; Package automake. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 16 Jul 2017 11:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.